# Record Class CSCertificateOutputData

java.lang.Object
java.lang.Record
com.io7m.certusine.api.CSCertificateOutputData

Record Components:
  `domainName` - The domain
  `name` - The certificate name
  `pemEncodedPublicKey` - The PEM-encoded public key
  `pemEncodedPrivateKey` - The PEM-encoded private key
  `pemEncodedCertificate` - The PEM-encoded certificate
  `pemEncodedFullChain` - The PEM-encoded full certificate chain

public record CSCertificateOutputData(String domainName, CSCertificateName name, String pemEncodedPublicKey, String pemEncodedPrivateKey, String pemEncodedCertificate, String pemEncodedFullChain) extends Record
The data passed to a certificate output.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSCertificateOutputData(String domainName, CSCertificateName name, String pemEncodedPublicKey, String pemEncodedPrivateKey, String pemEncodedCertificate, String pemEncodedFullChain)`
  The data passed to a certificate output.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `domainName()`
  Returns the value of the `domainName` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CSCertificateName`
  `name()`
  Returns the value of the `name` record component.
  `String`
  `pemEncodedCertificate()`
  Returns the value of the `pemEncodedCertificate` record component.
  `String`
  `pemEncodedFullChain()`
  Returns the value of the `pemEncodedFullChain` record component.
  `String`
  `pemEncodedPrivateKey()`
  Returns the value of the `pemEncodedPrivateKey` record component.
  `String`
  `pemEncodedPublicKey()`
  Returns the value of the `pemEncodedPublicKey` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSCertificateOutputData

    public CSCertificateOutputData(String domainName, CSCertificateName name, String pemEncodedPublicKey, String pemEncodedPrivateKey, String pemEncodedCertificate, String pemEncodedFullChain)
    The data passed to a certificate output.
    Parameters:
      `domainName` - The domain
      `name` - The certificate name
      `pemEncodedPublicKey` - The PEM-encoded public key
      `pemEncodedPrivateKey` - The PEM-encoded private key
      `pemEncodedCertificate` - The PEM-encoded certificate
      `pemEncodedFullChain` - The PEM-encoded full certificate chain

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### domainName

    public String domainName()
    Returns the value of the `domainName` record component.
    Returns:
      the value of the `domainName` record component

  - ### name

    public CSCertificateName name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### pemEncodedPublicKey

    public String pemEncodedPublicKey()
    Returns the value of the `pemEncodedPublicKey` record component.
    Returns:
      the value of the `pemEncodedPublicKey` record component

  - ### pemEncodedPrivateKey

    public String pemEncodedPrivateKey()
    Returns the value of the `pemEncodedPrivateKey` record component.
    Returns:
      the value of the `pemEncodedPrivateKey` record component

  - ### pemEncodedCertificate

    public String pemEncodedCertificate()
    Returns the value of the `pemEncodedCertificate` record component.
    Returns:
      the value of the `pemEncodedCertificate` record component

  - ### pemEncodedFullChain

    public String pemEncodedFullChain()
    Returns the value of the `pemEncodedFullChain` record component.
    Returns:
      the value of the `pemEncodedFullChain` record component